package com.ss.android.ugc.aweme.services;

import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.List;

public interface IQnaService {
    static {
        Covode.recordClassIndex(105069);
    }

    void clearSearchHistoryKeva();

    boolean enablePublicQna();

    String getQaPersonalProfileEventName();

    void injectQnaBanner(FrameLayout frameLayout, List<Long> list);

    boolean isQnaAugmentationFYPBannerEnabled();

    boolean isQnaAugmentationQuestionDetailBannerEnabled();

    void setQuestionAwemeListCacheCache(long j, int i, int i2, List<? extends Aweme> list);

    void setupQnaBanner(ViewGroup viewGroup, Fragment fragment, String str, View.OnClickListener onClickListener);
}
